Bug 206660 - net-mgmt/collectd5: Update to 5.5.1
Summary: net-mgmt/collectd5: Update to 5.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Guido Falsi
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-27 03:08 UTC by Krzysztof
Modified: 2016-02-03 15:55 UTC (History)
1 user (show)

See Also:


Attachments
collectd-5.5.1.patch - update (66.94 KB, patch)
2016-01-27 03:08 UTC, Krzysztof
ports: maintainer-approval-
Details | Diff
Failure log (102.53 KB, text/x-log)
2016-01-31 18:13 UTC, Guido Falsi
no flags Details
collectd-5.5.1.patch - update 2 (132.33 KB, patch)
2016-02-01 00:03 UTC, Krzysztof
ports: maintainer-approval+
Details | Diff
patch collectd 5.5.1 - update (133.48 KB, patch)
2016-02-01 09:09 UTC, Krzysztof
ports: maintainer-approval+
Details | Diff
collectd-5.5.1.patch - update 3 (135.73 KB, patch)
2016-02-01 21:10 UTC, Krzysztof
ports: maintainer-approval+
Details | Diff
patch collectd 5.5.1 - update 4 (133.53 KB, patch)
2016-02-02 11:55 UTC, Krzysztof
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof 2016-01-27 03:08:17 UTC
Created attachment 166171 [details]
collectd-5.5.1.patch - update

There is new version of collectd. So there is patch of this update.

By the way I've made some cleaning:
 * removed conflicts (collectd4 is removed)
 * add patch for zfs_arc.c to disable kstat.zfs.misc.arcstats.stolen (I noticed that this disappeared in 10.2-STABLE); currently I've got many warnings in messages log

I've tested this patch with poudriere. You can check logfile at 
https://rtm.bsdserwis.com/poudriere/data/a1amd64-testing/2016-01-27_03h56m06s/logs/collectd5-5.5.1.log
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-27 03:10:32 UTC
maintainer-feedback not needed unless in response to ?
Comment 2 Krzysztof 2016-01-27 03:17:18 UTC
I'm not sure if patch for src/zfs_arc.c is correctly made (specialy for version number). I hope that someone will check it and correct me. Thanks a lot.
Comment 3 Guido Falsi freebsd_committer 2016-01-28 16:49:24 UTC
I'm testing the port, I'll need a little time for proper testing.

In the while I performed a little research about the "stolen" ZFS stat via subversion:

It was removed from head in r286762, from August 14th 2015.

This commit was merged to stable in r288580, on October 3rd 2015.

This means that the kstat.zfs.misc.arcstats.stolen sysctl IS available on 10.2-RELEASE machines and will be for all future patches to that release, but not on 10-STABLE machines after October 3rd 2015.

I'd propose to use the 1002501 __FreeBSD_version value as a discriminator in the patch, which was created on October 8th, really near to October 3rd.

This will allow people on 10.2-RELEASE to use that value.

Apart from this the ZFS patch looks fine to me to the best of my knowledge.

Do you agree with my analysis?
Comment 4 Krzysztof 2016-01-29 08:45:51 UTC
I think I should :-))) Telling seriosuly I'm not so familiar with
__FreeBSD_version values. That's why I asked for check my patch.

The simplest way was to remove kstat.zfs.misc.arcstats.stolen
completely, but I thaought that some people still could be interested in
collecting this values.

So I agree with you.
Comment 5 Guido Falsi freebsd_committer 2016-01-31 18:13:48 UTC
Created attachment 166361 [details]
Failure log

Hi,

I made a test with all options enabled and the port fails to compile, for some reason the configure script fails to detect certain dependencies.

Can you test and perhaps provide a patch?

Thanks.
Comment 6 Krzysztof 2016-02-01 00:02:28 UTC
OK, I've checked this error log. Yes, that's my fault - I did not checked these plugins before correctly.

Now modbus plugin is corrected. But there is problem with write_mongo plugin. It depends on mongo-c-driver library. And mongo-c-driver depends on libbson. Both of them are out of date and I have to update them first. And then try to build mongodb plugin again. Current log is here: https://rtm.bsdserwis.com/poudriere/data/a1amd64-testing/2016-02-01_00h36m12s/logs/errors/collectd5-5.5.1.log

Now as you can check modbus support is correctly impolemented: https://rtm.bsdserwis.com/poudriere/data/a1amd64-testing/2016-02-01_00h54m38s/logs/collectd5-5.5.1.log

So I've changed patch for port. I need some time to update mongo plugin dependencies.
Comment 7 Krzysztof 2016-02-01 00:03:41 UTC
Created attachment 166370 [details]
collectd-5.5.1.patch - update 2
Comment 8 Krzysztof 2016-02-01 08:39:01 UTC
Comment on attachment 166171 [details]
collectd-5.5.1.patch - update

It's obsoleted. A new one is added
Comment 9 Krzysztof 2016-02-01 09:09:10 UTC
Created attachment 166385 [details]
patch collectd 5.5.1 - update

After many tries I had to disable mongodb plugin. According to https://github.com/collectd/collectd/issues/492 there is a problem with this plugin for long time. Maybe it will be resolved soon, so MONGODB will be enabled again.
Comment 10 Krzysztof 2016-02-01 09:14:54 UTC
I've forgotten add log from poudriere: https://rtm.bsdserwis.com/poudriere/data/a1amd64-testing/2016-02-01_10h03m35s/logs/collectd5-5.5.1.log
Comment 11 Guido Falsi freebsd_committer 2016-02-01 15:12:21 UTC
(In reply to Krzysztof from comment #9)

Hi, the new patch fails to apply cleanly.

Looks like it was generated against an already modified ports tree.

Could you regenerate the patch against a fresh port checkout?

Thanks.
Comment 12 Krzysztof 2016-02-01 21:10:53 UTC
Created attachment 166411 [details]
collectd-5.5.1.patch - update 3

Yes, previous patch was made on modified net-mgmt/collectd5 files. Now this patch is correct - I tested it on fresh ports tree.
Comment 13 Guido Falsi freebsd_committer 2016-02-02 09:25:35 UTC
I'm going to test this patch but please note that there a re still a few problems with it.

First of all this patch removes pkg-descr, and the startup scripts in files. I recovered those.

Also you did not update the __FreeBSD_version on the value we agreed upon.

While I can(and did) fix these, please try to generate correct patches, this reduces duplicate work and helps avoiding making mistakes and committing unwanted parts to the tree.
Comment 14 Guido Falsi freebsd_committer 2016-02-02 09:30:38 UTC
BTW I also added a "(BROKEN)" text to the mongodb option description, so it is clear to users and slightly reworded the BROKEN message to:

fails to configure with write_mongodb option

which is clearer in the context the ports infrastructure is going to use the message.
Comment 15 Krzysztof 2016-02-02 11:55:39 UTC
Created attachment 166430 [details]
patch collectd 5.5.1 - update 4

OK, sorry for my mistakes. This patch is corrected according to our conversation and nothing is missing.

Once again sorry for my mistakes.
Comment 16 Guido Falsi freebsd_committer 2016-02-02 23:09:03 UTC
Committed! Thanks.
Comment 17 commit-hook freebsd_committer 2016-02-02 23:09:26 UTC
A commit references this bug:

Author: madpilot
Date: Tue Feb  2 23:08:46 UTC 2016
New revision: 407901
URL: https://svnweb.freebsd.org/changeset/ports/407901

Log:
  - Update to 5.5.1
  - Mark MONGODB option as BROKEN

  PR:		206660
  Submitted by:	ports at bsdserwis.com (maintainer)

Changes:
  head/net-mgmt/collectd5/Makefile
  head/net-mgmt/collectd5/distinfo
  head/net-mgmt/collectd5/files/patch-Makefile.am
  head/net-mgmt/collectd5/files/patch-configure.ac
  head/net-mgmt/collectd5/files/patch-src__Makefile.am
  head/net-mgmt/collectd5/files/patch-src__Makefile.in
  head/net-mgmt/collectd5/files/patch-src__daemon__Makefile.am
  head/net-mgmt/collectd5/files/patch-src__daemon__collectd.h
  head/net-mgmt/collectd5/files/patch-src__dns.c
  head/net-mgmt/collectd5/files/patch-src__modbus.c
  head/net-mgmt/collectd5/files/patch-src__varnish.c
  head/net-mgmt/collectd5/files/patch-src_config.h.in
  head/net-mgmt/collectd5/files/patch-src_disk.c
  head/net-mgmt/collectd5/files/patch-src_write__mongodb.c
  head/net-mgmt/collectd5/files/patch-src_zfs__arc.c
  head/net-mgmt/collectd5/files/patch-version-gen.sh
  head/net-mgmt/collectd5/pkg-plist
Comment 18 Guido Falsi freebsd_committer 2016-02-03 09:18:37 UTC
Hi,

I'm reopening this bug because I have been reported by danfe that there is a problem with my commit.

The patch in files/patch-src__Makefile.in is really uneeded, since the port has USES=autoreconf, so Makefile.in files are being regenerated from the Makefile.am ones.

All the work is being done already in the files/patch-src__Makefile.am patch.

I'm testing the port without files/patch-src__Makefile.in and if everything works I'll fix the port.

Such followup commits don't really need you approval, but I'm anyway reopening this bug and informing you.

I also forgot to mention that in the commit I had to put back the files/patch-Makefile.am patch, otherwise the port was creating stage orphans.

Thanks.
Comment 19 commit-hook freebsd_committer 2016-02-03 15:54:47 UTC
A commit references this bug:

Author: madpilot
Date: Wed Feb  3 15:54:30 UTC 2016
New revision: 407956
URL: https://svnweb.freebsd.org/changeset/ports/407956

Log:
  Remove uneeded patch file added by mistake.

  PR:		206660
  Reported by:	danfe

Changes:
  head/net-mgmt/collectd5/files/patch-src__Makefile.in
Comment 20 Guido Falsi freebsd_committer 2016-02-03 15:55:54 UTC
Unneeded patch file removed.